summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /dev-embedded/mspdebug
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'dev-embedded/mspdebug')
-rw-r--r--dev-embedded/mspdebug/Manifest3
-rw-r--r--dev-embedded/mspdebug/files/mspdebug-0.21-glibc-2.17.patch11
-rw-r--r--dev-embedded/mspdebug/metadata.xml14
-rw-r--r--dev-embedded/mspdebug/mspdebug-0.20.ebuild36
-rw-r--r--dev-embedded/mspdebug/mspdebug-0.21.ebuild34
-rw-r--r--dev-embedded/mspdebug/mspdebug-0.22.ebuild33
6 files changed, 131 insertions, 0 deletions
diff --git a/dev-embedded/mspdebug/Manifest b/dev-embedded/mspdebug/Manifest
new file mode 100644
index 00000000000..dac385bbd7b
--- /dev/null
+++ b/dev-embedded/mspdebug/Manifest
@@ -0,0 +1,3 @@
+DIST mspdebug-0.20.tar.gz 182144 SHA256 4514305994ad8962d5568652f74d6c26357f192583d8840fbf2f3c62dd3bff04 SHA512 64ec9e8abede54ae92a9073971efeb4beeeb419bf1cbda998cc1327820838f7f452381712638e7f03ae71ec62e3459929a0d52a868f2732e4e9c529f8662e996 WHIRLPOOL 5616d0992278bd90eca78e605239b5f090809307f3acd9f94946795ab06c3363798c3d94d82fc983959c2ece1c2b1f0c6ffeb2678468a62617dff98bad1b57df
+DIST mspdebug-0.21.tar.gz 228413 SHA256 37c0c83851e1ff7048012c733e21cd2fe5bef21f67814a462c6a7049dc709988 SHA512 ac12d7a22c905db0d192e52c43bfd5ee13ee47aa99ef7fd3ec4f8b53c231e43ad6437a41655603cd407ac766189009aeee6fafe842ac34fddd0b06408c08e761 WHIRLPOOL 84f274d44f25fffb6aa4e856aded3a943b1359bc51fa9d77de7aa916fedb18e759c734154b2a7c4439703866e97ba7958554c83e310f49aa562265c6e1c22132
+DIST mspdebug-0.22.tar.gz 230959 SHA256 9a0550f3c7911bcc4e3231fff652c8f14763eb6a945609ce715db7164bf76c55 SHA512 e5b573c05da70fc325538a2a4a9c916c939eb3e1a1f6162bacc83aa6be09b1219343efae07fcbcae8ee0803739763003b4f6cb08e739237df312bb854b3c43fa WHIRLPOOL 3354718964732b3766e09105e86ea7300129ebf7cc915635a2305b301b02d854ebebbb79aae9baed52d4e6761178beca0c8bba09aa506b2d4e191181137f4b70
diff --git a/dev-embedded/mspdebug/files/mspdebug-0.21-glibc-2.17.patch b/dev-embedded/mspdebug/files/mspdebug-0.21-glibc-2.17.patch
new file mode 100644
index 00000000000..9d1dab8e4c2
--- /dev/null
+++ b/dev-embedded/mspdebug/files/mspdebug-0.21-glibc-2.17.patch
@@ -0,0 +1,11 @@
+--- mspdebug-0.21/util/sport.c
++++ mspdebug-0.21/util/sport.c
+@@ -20,6 +20,8 @@
+ #include <unistd.h>
+ #include <errno.h>
+ #include <string.h>
++#include <sys/time.h>
++#include <sys/select.h>
+
+ #include "sport.h"
+ #include "util.h"
diff --git a/dev-embedded/mspdebug/metadata.xml b/dev-embedded/mspdebug/metadata.xml
new file mode 100644
index 00000000000..35c4e9d37a0
--- /dev/null
+++ b/dev-embedded/mspdebug/metadata.xml
@@ -0,0 +1,14 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>dev-embedded</herd>
+ <longdescription>
+ MSPDebug is a free debugger for use with MSP430 MCUs. It supports
+ FET430UIF, eZ430, RF2500, and Olimex MSP-JTAG-TINY programmers. It can be
+ used as a proxy for gdb or as an independent debugger with support for
+ programming, disassembly, and reverse engineering.
+ </longdescription>
+ <upstream>
+ <remote-id type="sourceforge">mspdebug</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-embedded/mspdebug/mspdebug-0.20.ebuild b/dev-embedded/mspdebug/mspdebug-0.20.ebuild
new file mode 100644
index 00000000000..30689b5a8a9
--- /dev/null
+++ b/dev-embedded/mspdebug/mspdebug-0.20.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=4
+
+inherit toolchain-funcs
+
+DESCRIPTION="A free debugger for use with MSP430 MCUs"
+HOMEPAGE="http://mspdebug.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="readline"
+
+DEPEND="readline? ( sys-libs/readline )
+ virtual/libusb:0"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ sed -i -e "s:-O1 \(.*\) -ggdb:\1:" Makefile
+}
+
+src_compile() {
+ local myflags
+ ! use readline && myflags="WITHOUT_READLINE=1"
+
+ emake CC="$(tc-getCC)" ${myflags}
+}
+
+src_install() {
+ emake DESTDIR="${ED}" PREFIX=/usr install
+ dodoc AUTHORS ChangeLog README
+}
diff --git a/dev-embedded/mspdebug/mspdebug-0.21.ebuild b/dev-embedded/mspdebug/mspdebug-0.21.ebuild
new file mode 100644
index 00000000000..b4050fc0bba
--- /dev/null
+++ b/dev-embedded/mspdebug/mspdebug-0.21.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit toolchain-funcs eutils
+
+DESCRIPTION="A free debugger for use with MSP430 MCUs"
+HOMEPAGE="http://mspdebug.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="readline"
+
+DEPEND="readline? ( sys-libs/readline )
+ virtual/libusb:0"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ sed -i "s:-O1 \(.*\) -ggdb:\1:" Makefile || die
+ epatch "${FILESDIR}"/${P}-glibc-2.17.patch
+}
+
+src_compile() {
+ emake CC="$(tc-getCC)" LIBDIR=/usr/lib $(usex readline "" "WITHOUT_READLINE=1")
+}
+
+src_install() {
+ emake DESTDIR="${ED}" LIBDIR=/usr/lib PREFIX=/usr install
+ dodoc AUTHORS ChangeLog README
+}
diff --git a/dev-embedded/mspdebug/mspdebug-0.22.ebuild b/dev-embedded/mspdebug/mspdebug-0.22.ebuild
new file mode 100644
index 00000000000..56c308885c9
--- /dev/null
+++ b/dev-embedded/mspdebug/mspdebug-0.22.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit toolchain-funcs eutils
+
+DESCRIPTION="A free debugger for use with MSP430 MCUs"
+HOMEPAGE="http://mspdebug.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="readline"
+
+DEPEND="readline? ( sys-libs/readline )
+ virtual/libusb:0"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ sed -i "s:-O1 \(.*\) -ggdb:\1:" Makefile || die
+}
+
+src_compile() {
+ emake CC="$(tc-getCC)" LIBDIR=/usr/lib $(usex readline "" "WITHOUT_READLINE=1")
+}
+
+src_install() {
+ emake DESTDIR="${ED}" LIBDIR=/usr/lib PREFIX=/usr install
+ dodoc AUTHORS ChangeLog README
+}